Get a re-run batch (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /admin/case/rerun-exports/{batchId}

Returns the batch's status, its counts of exports that succeeded and failed, its timings and each export's status and error. Returns 404 for an unknown batch. Super admin only.

Path parameters

  • batchId string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • id string Required
      • status string Required

        Values are queued, in-progress, or completed.

      • totalCount number Required
      • successCount number Required
      • failureCount number Required
      • items array[object] Required
        Hide items attributes Show items attributes object
        • export string Required
        • status string Required

          Values are pending, running, completed, failed, timeout, cancelled, or invalid.

        • startedAt string(date-time) | null
        • finishedAt string(date-time) | null
        • errorMessage string | null
      • startedAt string(date-time) | null
      • completedAt string(date-time) | null
    • statusCode number Required
    • timestamp string(date-time) Required
  • 404

    Rerun batch not found

GET /admin/case/rerun-exports/{batchId}
curl \
 --request GET 'http://api.example.com/admin/case/rerun-exports/{batchId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "id": "string",
    "status": "queued",
    "totalCount": 42.0,
    "successCount": 42.0,
    "failureCount": 42.0,
    "items": [
      {
        "export": "string",
        "status": "pending",
        "startedAt": "2026-05-04T09:42:00Z",
        "finishedAt": "2026-05-04T09:42:00Z",
        "errorMessage": "string"
      }
    ],
    "startedAt": "2026-05-04T09:42:00Z",
    "completedAt": "2026-05-04T09:42:00Z"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}